\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Alpha Shapes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Weighted_alpha_shape_euclidean_traits_2< K > Class Template Reference
2D Alpha Shapes Reference

`#include <CGAL/Weighted_alpha_shape_euclidean_traits_2.h>`

## Inherits from

CGAL::Regular_triangulation_euclidean_traits_2< K, K::FT >.

## Definition

The class `Weighted_alpha_shape_euclidean_traits_2` is the default model for the concept `AlphaShapeTraits_2` for the regular version of Alpha Shapes.

Template Parameters

  K | must be a `Kernel`.

Is Model Of:
  `AlphaShapeTraits_2`

Examples:
  Alpha_shapes_2/ex_weighted_alpha_shapes_2.cpp.